#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
#include <curl/curl.h>

using namespace std;

 struct Input {
        vector<double> numbers;
        size_t bin_count{};
    };

Input
input_data(istream& in, bool prompt){

    if (prompt == true) cerr << "Enter number_count: ";

    size_t number_count;
    in >> number_count;

    Input data;
    data.numbers.resize(number_count);

    if (prompt == true) cerr << "Enter numbers: ";

    for (size_t i = 0; i < number_count; i++){
        in >> data.numbers[i];
    }

    if (prompt == true) cerr << "Enter bin count: ";

    in >> data.bin_count;
    return data;
}

int
main()
{
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, false);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
