#include "text.h"
#include <iostream>

void
show_histogram_text(std::vector<size_t>& bins){

    size_t max_count = 0;
    for (size_t x: bins) {
        if (x > max_count) {
                max_count = x;
        }
    }

    if (max_count > MAX_ASTERISK) {
        for (size_t count: bins) {
            size_t height = MAX_ASTERISK * (static_cast<double>(count) / max_count);
            if (count < 10) {
                std::cout << "  " << count << "|";
            }
            else if (count >= 100) {
                std::cout << count << "|";
            }

            else {
                std::cout << " " << count << "|";
            }

            for (size_t i = 0; i < height; i++) {
                std::cout << "*";
            }
            std::cout << "\n";
        }
    }

    else {
        for (size_t x: bins) {
            if (x < 10) {
                std::cout << "  " << x << "|";
            }
            else if (x >= 100) {
                std::cout << x << "|";
            }

            else {
                std::cout << " " << x << "|";
            }

            for (size_t i = 0; i < x; i++) {
                std::cout << "*";
            }
            std::cout << "\n";
        }
    }

}
